/**
 * <copyright>
 * </copyright>
 *
 * $Id: TriggerValidator.java,v 1.1 2008-04-01 09:35:22 vmahe Exp $
 */
package orgomg.cwm.resource.relational.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.objectmodel.core.BooleanExpression;
import orgomg.cwm.objectmodel.core.ProcedureExpression;

import orgomg.cwm.resource.relational.NamedColumnSet;
import orgomg.cwm.resource.relational.Table;

import orgomg.cwm.resource.relational.enumerations.ActionOrientationType;
import orgomg.cwm.resource.relational.enumerations.ConditionTimingType;
import orgomg.cwm.resource.relational.enumerations.EventManipulationType;

/**
 * A sample validator interface for {@link orgomg.cwm.resource.relational.Trigger}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface TriggerValidator {
	boolean validate();

	boolean validateEventManipulation(EventManipulationType value);
	boolean validateActionCondition(BooleanExpression value);
	boolean validateActionStatement(ProcedureExpression value);
	boolean validateActionOrientation(ActionOrientationType value);
	boolean validateConditionTiming(ConditionTimingType value);
	boolean validateConditionReferenceNewTable(String value);
	boolean validateConditionReferenceOldTable(String value);
	boolean validateUsedColumnSet(EList<NamedColumnSet> value);
	boolean validateTable(Table value);
}
